<div class="container">
    <div class="header">
        <div class="title">
            Change password
        </div>
        <div class="subtitle">
            Skift din password
        </div>
    </div>
    <div class="content">
        <div class="success" *ngIf="success">
            Password er nu ændret!
        </div>
        <div class="error" *ngIf="error">
            Gamle password var forkert
        </div>
        <form [formGroup]="passwordFG">
            <mat-form-field>
                <input matInput type="password" placeholder="Old password" formControlName="oldPassword">
            </mat-form-field>
            <mat-form-field>
                <input matInput type="password" placeholder="New password" formControlName="password">
            </mat-form-field>
            <mat-form-field>
                <input matInput type="password" placeholder="Confirm new password" formControlName="confirmPassword">
            </mat-form-field>
            <button mat-button color="primary" (click)="changePassword()">Change</button>
        </form>
    </div>
</div>